Bug 1012826 - Gluster Host force remove is not working
Gluster Host force remove is not working
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity unspecified
: ---
: 3.3.0
Assigned To: Kanagaraj
SATHEESARAN
gluster
: Regression
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
 
Reported: 2013-09-27 04:35 EDT by Kanagaraj
Modified: 2016-04-18 06:07 EDT (History)
9 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19947 None None None Never

  None (edit)
Description Kanagaraj 2013-09-27 04:35:16 EDT
Description of problem:

Removing a gluster host which is part of gluster cluster having volumes is failing even when  the force option is selected. The cluster does not have any other hosts.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a gluster enabled cluster
2. Add a host to that cluster
3. Create a new gluster volume
4. Moved the host to maintenance, and remove with force option

Actual results:

Error message shown "Cannot remove host: Gluster volumes are present"

Expected results:

Host should be removed successfully.

Additional info:
Comment 1 SATHEESARAN 2013-11-20 06:39:38 EST
Tested with,
RHS 2.1 and RHEVM 3.3.0-0.34.beta1.el6ev [IS 23.1]

Tested with following steps,

1. Created a Data center with 3.2 compatibility
2. Created a gluster enabled cluster with 3.2 compatibility
3. Add a RHSS 2.1 node to the cluster
4. Creat a volume with that single RHSS Node
5. Start the volume
6. Now, moved the RHSS Node to Maintenance state using RHEVM UI
7. Trying removing this node without force and got that error that "Volumes are present"
8. Tried with Force option and that RHSS Node got removed

So moving it as VERIFIED
Comment 2 Itamar Heim 2014-01-21 17:28:19 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:28:19 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:31:12 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.